## live-build 20190311

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

check:
	@echo -n "Checking the integrity of .po files "

	@if [ -x /usr/bin/msgfmt ]; \
	then \
		for POFILE in po/*/*; \
		do \
			msgfmt --check --output-file=/dev/null $${POFILE}; \
			echo -n "."; \
		done; \
	else \
		echo "E: msgfmt - command not found"; \
		echo "I: gettext can be obtained from http://www.gnu.org/software/gettext/"; \
		echo "I: On Debian based systems, gettext can be installed with 'apt-get install gettext'."; \
		exit 1; \
	fi

	@echo " done!"

build: check po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
		exit 1; \
	fi

	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-build --package-version $(shell cd .. && dpkg-parsechangelog -S Version) po4a.cfg

clean:
	rm -f po/*/*.po~

distclean: clean
	rm -f po4a.cfg
	rm -rf $(LANGUAGES)

rebuild: distclean update build

=== debian/changelog ===
live-build (1:20190311) unstable; urgency=medium

  [ Hideki Yamane ]
  * use deb.debian.org as default
  * We should add buster for release. (Closes: #924293)

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.3.0, no changes.

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Mar 2019 10:08:38 +0000

=== debian/control ===
Source: live-build
Section: misc
Priority: optional
Maintainer: Debian Live <debian-live@lists.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 po4a,
 gettext,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://debian-live.alioth.debian.org/live-build/
Vcs-Browser: https://salsa.debian.org/live-team/live-build
Vcs-Git: https://salsa.debian.org/live-team/live-build.git

Package: live-build
Architecture: all
Depends:
 debootstrap,
 ${misc:Depends},
Recommends:
 apt-utils,
 bzip2,
 cpio,
 file,
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
 wget,
 xz-utils,
Suggests:
 e2fsprogs,
 parted,
 mtd-utils,
Description: Live System Build Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-build contains the components to build a live system from a configuration
 directory.

## live-build 20190311.1

=== debian/changelog ===
live-build (1:20190311.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:38:09 +0800

## live-build 20191221

=== manpages/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
-		echo "I: po4a can be obtained from http://po4a.alioth.debian.org/"; \
+		echo "I: po4a can be obtained from https://po4a.org"; \
 		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
 		exit 1; \
 	fi

=== debian/changelog ===
live-build (1:20191221) unstable; urgency=medium

  * Revert some Kali-specific change in scripts/build/binary_iso

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 19 Dec 2019 21:07:22 +0100

live-build (1:20191220) unstable; urgency=medium

  * Fix "--debian-installer cdrom" and its interaction with binary_package-lists
    apt-ftparchive is not able to differentiate between .deb and .udeb so
    we have to install them in different pool directories so that we can
    regenerate the Packages files without having the .udeb show up
    unexpectedly.
    Since binary_package-lists can overwrite the Packages files generated
    in installer_debian-installer we have to ensure that it also updates
    the Release file created formerly.
    Ideally we should find a way to avoid the duplication of this logic.
  * Bump Standards-Version to 4.4.1
  * Switch to debhelper compat level 12

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 19 Dec 2019 19:16:08 +0100

live-build (1:20191219) unstable; urgency=medium

  [ Adrian Gibanel Lopez ]
  * Fixed foreign architecture package support to linux kernel flavours
    (Closes: #884553)

  [ Matthijs Kooijman ]
  * Remove --templates from lb_config manpage
  * Remove ldlinux.c32 for extlinux and syslinux

  [ Roland Clobus ]
  * Updated URL in many places.
  * Reenabled the command line option for colored messages for all scripts.
    The functionality was added 2008-11-01, but was not really active.
  * Removed obsolete short command line options. -f was --filesystem -l was
    --language -p was --package-list -e was --encryption
  * Do not store _QUIET in the configuration file, otherwise the overrides in
    the command line get ignored. Adds a documentation line for the other
    command line options as well.
  * Removed option none for --apt-indices, which was removed in 3.0.2-1.
  * Removed option --bootstrap, which is not implemented.
  * Mention --breakpoints in 'lb config --help'
  * Fixed a typo for --clean in 'lb config --help'
  * Manpage: --binary-filesystem also accepts ntfs
  * Matched the documentation of --checksums to the implementation in live-boot
  * Manpage: Added documentation for --breakpoints
  * Manpage: --compression also accepts xz. The default is none
  * Manpage: --config synchronised to 'lb config --help'
  * Manpage: Added documentation for --zsync
  * Manpage: Removed references to command line options that are no longer in
    the code: --firmware-binary --firmware-chroot --hooks
    --parent-mirror-chroot-updates --parent-mirror-chroot-backports
    --parent-mirror-binary-updates --parent-mirror-binary-backports
    --mirror-chroot-updates --mirror-chroot-backports --mirror-binary-updates
    --mirror-binary-backports --templates
  * --initramfs support none and live-boot
  * Manpage: Added documentation for --initsystem
  * Manpage: Added documentation for --image-name
  * Manpage: Added documentation for --hdd-label, --hdd-size and
    --hdd-partition-start
  * Manpage: --mode explicitly supports debian and progress-linux. Special
    handling for ubuntu was dropped 2015-05-03
  * Manpage: --parent-archive-areas uses the same argument name as 'lb config
    --help'
  * Manpage: Added documentation for --firmware-binary and --firmware-chroot
  * Manpage: Added documentation for --swap-file-path and --swap-file-size
  * Manpage: Added documentation for --loadlin
  * Manpage: Added documentation for --bootstrap-qemu-[arch|exclude|static]
  * Reordered the command line options to make them in alphabetical order
  * Manpage: added missing \fR tags
  * Manpage: consistent use of whitespace in the command line option list
  * Manpage: typo
  * Manpage: Use alphabetical order for the description of the command line
    options
  * --mirror-binary* was not properly sorted
  * Manpage: removed incorrect mentioning of the -d command line option
  * Manpage: removed FIXME for the SYNOPSIS section, all options are now
    listed
  * Manpage: the configuration directory (config) cannot be modified
  * Manpage: simplify the description
  * Manpage: use 3rd person form when describing an option
  * Manpage: Update the default values of --mirror-* and --parent-mirror-*

  [ adrian15 ]
  * Readd findiso parametre to loopback.cfg generation.

  [ Raphaël Hertzog ]
  * binary_package-lists: avoid messing with dpkg's status file
  * chroot_live-packages: use dpkg-query to see if a package is installed
    (Closes: #944983)
  * Set default distribution to buster.
    Thanks to Алексей Шилин (Closes: #934495)
  * installer_debian-installer: don't mess with /var/lib/dpkg/status
  * Tweak lintian overrides
  * Support --distribution-binary and --distribution-chroot (Closes: #888507)
  * Update my email in the Maintainer field.

  [ Ronny Standtke ]
  * Run binary_hooks after binary_grub-efi (Closes: #940846)

  [ John Estabrook ]
  * Add local archive keys before configuring local package repository
    (Closes: #941691)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 19 Dec 2019 18:56:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Live <debian-live@lists.debian.org>
-Uploaders: Raphaël Hertzog <hertzog@debian.org>,
+Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  po4a,
  gettext,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
-Homepage: https://debian-live.alioth.debian.org/live-build/
+Homepage: https://wiki.debian.org/DebianLive
 Vcs-Browser: https://salsa.debian.org/live-team/live-build
 Vcs-Git: https://salsa.debian.org/live-team/live-build.git

## live-build 20210216

=== debian/changelog ===
live-build (1:20210216) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Add symlinks to support kali releases

  [ Roland Clobus ]
  * Reproducible fix for glibc

  [ Ryan Finnie ]
  * binary_syslinux: Do not modify grub theme.txt if grub/splash.png
    exists
  * Restore_package_cache: Handle existing but empty packages directory

  [ Roland Clobus ]
  * The local LIVE_BUILD wins over the system live-build for the list of
    udeb inclusions. Only copy when the distribution is known
  * The local LIVE_BUILD wins over the system live-build for the list of
    udeb exclusions
  * lilo is not available any more in Bullseye (and newer), see #973850
  * Adding symlink for udeb data for bullseye

  [ Luca Boccassi ]
  * Fix build on architecture without syslinux (Closes: #982746)
  * autopkgtest: restrict to amd64 and i386 for now

  [ Roland Clobus ]
  * mkfs.msdos needs at most 32 bits for the -i argument. Use the
    hexadecimal version of SOURCE_DATE_EPOCH, limited to the lower 32 bits

 -- Luca Boccassi <bluca@debian.org>  Tue, 16 Feb 2021 21:25:05 +0000

live-build (1:20210122) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Get rid of extraneous whitespace showing up in syslinux menu
  * Standardize on having the GUI installation first in boot menus
  * config: obsolete --net-root-path
  * Drop the epoch in /usr/share/live/build/VERSION
  * Fix version computing when LIVE_BUILD is set
  * binary_syslinux: rely on $LIVE_BUILD_VERSION instead of lb --version
  * Add updated directives to enable cryptsetup support in initrd
  * frontend: do no try to look for sub-commands in the PATH
  * Synchronize syslinux menu structure with the grub-pc one
  * Make librsvg2-bin dependency unconditional for syslinux
  * Do not overwrite splash.png if the user has provided it
  * Tell APT to retry downloads a few times before giving up
  * Use bullseye as default release in preparation of the next stable release
  * Use truncate --no-create --size=0 to truncate files
  * Document our autopkgtest tests as needing internet access
  * Update renamed lintian tag names in lintian overrides.
  * Don't fail if one of the package lists expands to an empty list
  * Fix a small info message
  * autopkgtest: get rid of deprecated needs-recommends feature

  [ David Hewitt ]
  * binary_syslinux: Accommodate LB_INITRAMFS not live-boot

  [ Lyndon Brown ]
  * Lots of cleanup and refactoring.
  * remove redundant files (Closes: #952834, #952835)
  * source: fix wrong action value for script execution (Closes: #952837)
  * archives: fix removal of chroot/root/packages.chroot package list
    (Closes: #952838)
  * archives: fix incorrect usage string (Closes: #952839)
  * archives: add 'pass' param validation check (Closes: #952841)
  * archives: fix deb-src entry exclusion (Closes: #952842)
  * fix indentation (Closes: #952857)
  * installer: de-dup daily DI url (Closes: #952860)
  * don't unnecessarily convert exit codes to strings (Closes: #952861)
  * source: fix mistaken append instead of overwrite (Closes: #952862)
  * memtest: better handle obsolete LB_MEMTEST value (Closes: #952866)
  * bootloaders: fix ignoring LB_DEBIAN_INSTALLER_GUI in menu creation
    (Closes: #952890)
  * chroot_dpkg: start-stop-daemon simplification (Closes: #952891)
  * add missing shebangs to temp generated shell code files
    (Closes: #952863)
  * help/usage: fix incorrect program command (Closes: #952884)
  * config: rename --architectures to --architecture (Closes: #952892)
  * echo: fix problem with error printing (Closes: #952878)
  * echo: ensure output goes to stdout/stderr (Closes: #952879)
  * cursor: purge unused cursor functions (Closes: #952880)
  * binary_iso: fix wrong echo helper (Closes: #952881)
  * binarie_onie: fix missing use of echo helpers (Closes: #952882)
  * binary_onie: fix lack of newline on error (Closes: #952883)
  * installer: robustify udeb inclusion
  * installer: filter derived udebs from parent list
  * installer: download udebs directly from correct mirror
    (Closes: #952914)
  * firmware: avoid building unnecessary lists
  * firmware: construct file location once and reuse
  * firmware: fix possible duplication in firmware package lists
    (inefficiency) (Closes: #952906)
  * firmware: delete pointlessly cached (large) file after use
    (Closes: #952907)
  * firmware: de-dup firmware list parsing (Closes: #952908)
  * firmware: reorder firmware list construction
  * firmware: avoid potentially duplicate work (Closes: #952909)
  * firmware: save the compressed contents file to disk instead of
    decompressed (Closes: #952910)
  * firmware: enable caching for archive content file with firmware lists
    (Closes: #952911)
  * fix inadequate chroot_archives validation
  * fix consistency in binary execution and existance checking
    (Closes: #952927)
  * archives: tidy deb-src exclusion (Closes: #952928)
  * installer: use boolean for clarity (Closes: #952930)
  * top level cmd "auto redirect" handling (Closes: #952919)
  * help/usage: remove pointless vars (Closes: #952859)
  * archives: always include enabled/disabled deb-src apt entries
    (Closes: #952929)
    * copyright: add missing "The Debian Live team" entry
  * remove obsolete loop-aes-utils related losetup hack
  * debootstrap: use --force-check-gpg
  * hide mountpoints from nautilus
  * source: properly fix _apt permissions warning (Closes: #953957)
  * fix -h|--help component script man page redirection
  * strip progress-linux distro hacks
  * grub-pc: fix broken boot capability (Closes: #956131)
  * Fix permissions & ownership of copied /etc/resolv.conf (Closes: #857740)
  * manpage: document that multiple archive areas should be space separated
  * manpages: document space separation for --keyring-packages
  * manpages: document that --linux-flavours is space separated
  * manpages: fix typo (Closes: #926238)
  * config: stop writing 'default: <foo>' lines to config files
    (Closes: #904614)


=== debian/tests/control ===
Tests: build-default-image
Depends: live-build,
Restrictions: needs-root, allow-stderr, needs-internet
Architecture: amd64 i386

Tests: build-kali-image
Depends: live-build, git, ca-certificates, curl, apt-utils, bzip2, cpio, file, wget, xz-utils
Restrictions: needs-root, allow-stderr, flaky, needs-internet
Architecture: amd64 i386

## live-build 20210407

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = frontend/* functions/* examples/auto/* examples/hooks/* scripts/*.sh scripts/*/* share/bin/* share/hooks/*/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@echo -n "Checking for bashisms"

	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: Skipping bashism test - you need to install devscripts."; \
	fi

	@echo " done."

build:
	@echo "Nothing to build."

install:
	# Installing shared data
	mkdir -p $(DESTDIR)/usr/share/live/build
	cp -r data functions $(DESTDIR)/usr/share/live/build
	sed -e 's/.*(\(.*\)).*/\1/; s/^[0-9]://; q' debian/changelog >$(DESTDIR)/usr/share/live/build/VERSION
	cp -r share/* $(DESTDIR)/usr/share/live/build

	# Installing executables
	mkdir -p $(DESTDIR)/usr/bin
	cp -a frontend/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/lib/live
	cp -a scripts/* $(DESTDIR)/usr/lib/live

	# Installing documentation
	mkdir -p $(DESTDIR)/usr/share/doc/live-build
	cp -r COPYING examples $(DESTDIR)/usr/share/doc/live-build

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling shared data
	rm -rf $(DESTDIR)/usr/share/live/build
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live > /dev/null 2>&1 || true

	# Uninstalling executables
	rm -f $(DESTDIR)/usr/bin/lb $(DESTDIR)/usr/bin/live-build

	# Uninstalling documentation
	rm -rf $(DESTDIR)/usr/share/doc/live-build

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

clean:

distclean:

reinstall: uninstall install

=== manpages/Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 		exit 1; \
 	fi
 
-	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-build --package-version $(shell cd .. && dpkg-parsechangelog -S Version) po4a.cfg
+	po4a --copyright-holder "Debian Live Project" --keep 0 --package-name live-build --package-version $(shell cd .. && dpkg-parsechangelog -S Version) po4a.cfg
 
 clean:
 	rm -f po/*/*.po~

=== debian/changelog ===
live-build (1:20210407) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Wed, 07 Apr 2021 18:52:50 +0100

live-build (1:20210405) experimental; urgency=medium

  * Firmware download: skip architecture if not found (Closes: #986278)
  * Autopkgtest: build a buster image
  * Autopkgtest: remove architecture restriction

 -- Luca Boccassi <bluca@debian.org>  Mon, 05 Apr 2021 13:04:04 +0100

live-build (1:20210330) unstable; urgency=medium

  * security: do not append /updates for Bullseye and newer.
    (Closes: #986148)

 -- Luca Boccassi <bluca@debian.org>  Tue, 30 Mar 2021 16:17:38 +0100

live-build (1:20210329) unstable; urgency=medium

  [ Ryan Finnie ]
  * Use --apt-http-proxy/--apt-ftp-proxy for debootstrap
  * No mksquashfs progress bar if stdin is not a terminal

  [ Unit 193 ]
  * firmwarelists.sh: Search Contents-all for firmware too.

  [ Roland Clobus ]
  * Support security for bullseye. See
    https://wiki.debian.org/NewInBullseye. Closes: #964914
  * Fixed handling of checksums in combination with the d-i installer.
  * Removed filesystem.size for squashfs images.

 -- Luca Boccassi <bluca@debian.org>  Mon, 29 Mar 2021 10:49:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 12),
  po4a,
  gettext,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://wiki.debian.org/DebianLive
 Vcs-Browser: https://salsa.debian.org/live-team/live-build
@@ -27,6 +27,8 @@
  live-boot-doc,
  live-config-doc,
  live-manual-html | live-manual,
+ rsync,
+ systemd-container,
  wget,
  xz-utils,
 Suggests:
@@ -34,7 +36,7 @@
  parted,
  mtd-utils,
 Description: Live System Build Components
- The Live Systems project maintains the components to build Debian based Live
+ The Debian Live project maintains the components to build Debian based Live
  systems and the official Debian Live images themselves.
  .
  live-build contains the components to build a live system from a configuration

## live-build 20210902

=== debian/changelog ===
live-build (1:20210902) unstable; urgency=medium

  [ Thore Sommer ]
  * Adding dm-verity support for rootfs
  * docs: documentation for dm-verity feature
  * Enable dm-verity support also for ext filesystems

  [ David Hewitt ]
  * binary_grub-efi: Allow removal of protected packages

  [ Nick Brown ]
  * Export variables for hooks (Closes: #992572)

  [ Luca Boccassi ]
  * Bump debhelper-compat to 13, no changes
  * Bump Standards-Version to 4.6.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 02 Sep 2021 13:55:32 +0100

## live-build 20220505

=== debian/changelog ===
live-build (1:20220505) unstable; urgency=medium

  [ Roland Clobus ]
  * The support for FTP proxies has ended
  * Simpler handling of http proxies
  * Code coverage test (for the proxy)

  [ Ryan Finnie ]
  * Add initial riscv64 support
  * Fix missing variable quoting in proxy handling

  [ Roland Clobus ]
  * Adding symlink for udeb data for bookworm
  * Fix Lintian warning about malformed NEWS file
  * Mark the phony targets in the Makefile
  * Add file with translatable text (lb_installer.1.pot)
  * Remove generated translation files
  * Use the release date from the changelog as the date for the last
    modification of each manpage
  * Bugfix: Add missing package when systemd is active
  * Bugfix: Do not copy the content of e.g. /dev/shm when creating hdd
    images
  * Bugfix: The arguments to the 'tr' command must be quoted.
  * Reactivate '--chroot-filesystem plain'.
  * Bugfix: The values for '--cache-stages' were not matching the
    implementation.
  * Clean up the cache directory, if no files are present.
  * When update-initramfs is called, clean up the backup files.
  * Set the timestamp of the generated iso image.
  * Set the timestamp inside hdd images.
  * Add hooks for building reproducible images
  * Add hook for libxmlb2 (used by appstream)
  * Reproducible hooks: Regenerate initrd.img in chroot_hacks only when
    chroot_hooks did not regenerate it already.

  [ Sophie Brun ]
  * Harmonize menu entries (uefi / bios) and add a variable for the
    templates

  [ Michał Prochera ]
  * Unconditional Remove_packages calls in binary_rootfs (Closes: #994982)

  [ Roland Clobus ]
  * Reproducible hooks: fontconfig got fixed in 2.13.1-4.4.

  [ Philip Hands ]
  * get the aptly/pages stage to work

  [ Roland Clobus ]
  * Show git hash as version number, when a local git repo is used.

  [ Nick Brown ]
  * Echo executing source/binary hooks
  * Add auth.conf.d support to archives (Closes: #991065)

  [ Rob Shearman ]
  * config: respect --bootloaders option again on amd64/i386

  [ Roland Clobus ]
  * Reproducible hooks: appstream and libxmlb2
  * UEFI doesn't like nomodeset in safe mode
  * Rebuild a reproducible ISO image.
  * Check the actual length of the ISO fields.
  * Use a shorter suffix for modified development versions.
  * Remove a left-over file when using a package in
    config/packages.chroot.
  * Reproducible hooks: texlive-base and texlive-binaries

  [ Olivier BLIN ]
  * Add support for the new includes.chroot system to /etc/hosts file

 -- Luca Boccassi <bluca@debian.org>  Thu, 05 May 2022 11:13:27 +0100

## live-build 20230131

=== debian/changelog ===
live-build (1:20230131) unstable; urgency=medium

  [ Roland Clobus ]
  * Synchronise all --parent-distribution options.
  * Create a clean chroot for the installer.
  * Introduce '--debian-installer-distribution git'.
  * Rebuild: Use the new settings '--debian-installer-distribution git'.
  * Removes 'nomodeset' from fail-safe boot.
  * Reproducible hooks: fix version check for libxmlb2
  * Build from deb.debian.org
  * Drop win32-loader for the images with an installer.
  * Add more variables for the splash.svg image (Closes: #1015782)
  * rebuild: New option to specify the origin of the d-i binaries
  * installer: fail early
  * Rebuild: allow execution by sudo-users and root
  * Rebuild: Pass only a few environment variables to sub shells
  * If the same file exists in multiple locations, take the version from
    the first.
  * installer: Skip rebuilding the debian installer if it is found in the
    cache
  * installer: Remove the udeb files
  * installer: No error if the udeb-exclusion list is empty
  * installer: add grub packages for d-i and Calamares
  * installer: Mark the local repository as trusted

  [ Nick Brown ]
  * Allow APT_AUTH.CONF(5) config files to be used with archives during
    bootstrap.

  [ Ryan Finnie ]
  * chroot_hostname: Fix reference to chroot inside chroot
  * Fix build with memtest86+ 6.00
  * memtest: Support arch-specific and EFI memtest86+ 6.00
  * Memtest GRUB fixes

  [ Luca Boccassi ]
  * salsa-ci: drop aptly pages publishing, errors out

  [ snip ]
  * Use same naming scheme for archive keys in chroot and binary stages

 -- Luca Boccassi <bluca@debian.org>  Tue, 31 Jan 2023 16:27:27 +0000

## live-build 20230131.drbl1

=== debian/changelog ===
live-build (1:20230131.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to make stat follow the link about those *.efi files
    when estimate the size of efi.img.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 22 Feb 2023 20:05:35 +0800

## live-build 20230131.drbl2

=== debian/changelog ===
live-build (1:20230131.drbl2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to make stat follow the link about those *.efi files
    when estimating the size of efi.img and copying files.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 22 Feb 2023 22:14:42 +0800

## live-build 20230502

=== Makefile ===
--- 
+++ 
@@ -103,3 +103,5 @@
 distclean:
 
 reinstall: uninstall install
+
+.PHONY: all test build install uninstall clean distclean reinstall

=== debian/changelog ===
live-build (1:20230502) unstable; urgency=medium

  * Team upload
  * Add cryptsetup-initramfs to package pool (Closes: #1035360)

 -- Jonathan Carter <jcc@debian.org>  Tue, 02 May 2023 14:30:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  po4a,
  gettext,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://wiki.debian.org/DebianLive
 Vcs-Browser: https://salsa.debian.org/live-team/live-build
@@ -23,6 +23,7 @@
  apt-utils,
  bzip2,
  cpio,
+ cryptsetup,
  file,
  live-boot-doc,
  live-config-doc,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	# Update manual pages first
	$(MAKE) -C manpages update
	$(MAKE) -C manpages build

	dh_auto_install -- DESTDIR=debian/live-build

	# Removing unused files
	rm -f debian/live-build/usr/share/doc/live-build/COPYING

override_dh_link:
	# workaround dh_link conversion of absolute symlinks to relative symlinks
	dh_link -X.c32 -Xisolinux.bin -Xpxelinux.0

=== debian/tests/control ===
Tests: build-default-image
Depends: live-build,
Restrictions: needs-root, allow-stderr, needs-internet

Tests: build-stable-image
Depends: live-build,
Restrictions: needs-root, allow-stderr, needs-internet

Tests: build-kali-image
Depends: live-build, git, ca-certificates, curl, apt-utils, bzip2, cpio, file, wget, xz-utils
Restrictions: needs-root, allow-stderr, flaky, needs-internet

## live-build 20230502.drbl1

=== debian/changelog ===
live-build (1:20230502.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to make stat follow the link about those *.efi files
    when estimating the size of efi.img and copying files.
  * Patch to unmount chroot/sys/firmware/efi/efivars before 
    unmounting chroot/sys. This would avoid the chroot_sysfs failure
    about "target is busy".

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Jun 2023 13:05:41 +0800

## live-build 20230502.drbl2

=== debian/changelog ===
live-build (1:20230502.drbl2) unstable; urgency=medium

  * Really applied the patches, i.e., forgot to run "quilt push -a". 

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Jun 2023 20:07:43 +0800

## live-build 20230502.drbl3

=== debian/changelog ===
live-build (1:20230502.drbl3) unstable; urgency=medium

  * Patch to support mmdebstrap. 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 13 Mar 2024 11:07:10 +0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: live-build
 Architecture: all
 Depends:
- debootstrap,
+ debootstrap | mmdebstrap,
  ${misc:Depends},
 Recommends:
  apt-utils,

## live-build 20240314.drbl1

=== debian/changelog ===
live-build (1:20240314.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add mmdebstrap support.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 14 Mar 2024 08:39:09 +0800

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,12 @@
 Package: live-build
 Architecture: all
 Depends:
+ cpio,
  debootstrap | mmdebstrap,
  ${misc:Depends},
 Recommends:
  apt-utils,
  bzip2,
- cpio,
  cryptsetup,
  file,
  live-boot-doc,

## live-build 20240810

=== debian/changelog ===
live-build (1:20240810) unstable; urgency=medium

  [ Roland Clobus ]
  * Workaround for #1023472
  * Revert previous commit to test/rebuild.sh

  [ Thore Sommer ]
  * ISO generation: add support for hybrid ISOs with grub-pc

  [ Roland Clobus ]
  * non-free firmware detection: in chroot, not on host
  * If there is more than one kernel for the installer, use the newest
  * Installer: ignore the configured kernel version
  * Filter the firmware list (Closes: 1035382)
  * Set additional meta information

  [ David Hewitt ]
  * Follow symlinks while copying shim files

  [ Roland Clobus ]
  * rebuild: update --disk-info

  [ Marcel Partap ]
  * Create binary_chroot stagefiles when skipping, too
  * Remove ancient hook 9030-remove-apt-sources-lists that was never run

  [ jfliu ]
  * binary_iso: fix iso-hybrid images with EFI bootloader

  [ Roland Clobus ]
  * Use LC_ALL=C for sort
  * Fix and correctly suppress lintian warnings
  * Apply predictable timestamps in the source image
  * binary_syslinux: Ensure the availability of the font of splash.svg
  * binary_rootfs: Fixed test for /etc/mtab (Closes: #1032408)
  * binary_disk: Don't create .disk/archive_trace any more
  * rebuild.sh: Consistent timestamp of theme.txt

  [ Arnaud Rebillout ]
  * efi-image: Fix missing part_* modules in boot<platform>.efi
  * efi-image: Fix <platform>/grub.cfg, variables must NOT be expanded

  [ Roland Clobus ]
  * Remove unneeded cached files from appstream
  * Reproducible: fixes the last two issues for Debian 12.3

  [ Emanuele Rocca ]
  * chroot_sysfs: umount efivarfs if mounted

  [ Roland Clobus ]
  * Apply policykit fix when needed.
  * rebuild: Don't use a symlink for the splash screen

  [ Unit 193 ]
  * firmwarelists.sh: Account for usrmerged firmware packages.

  [ Roland Clobus ]
  * Workaround for #1058994
  * installer: The kernel version does not need to have a Debian-version
  * The installer now requires grub-common and dependencies
  * Installer: Support trixie
  * Installer: fix for previous commit

  [ Patrick Schleizer ]
  * fix: check correct dependency package grub-common instead of grub-pc
  * also check if grub-pc-bin dependency is available
  * reproducible builds: use cp -a when copying binary/boot/grub/i386-pc

  [ Roland Clobus ]
  * Reproducible: Fix for vlc (used by the Bookworm KDE image)
  * Fixed udeb handling
  * Reproducible install-info

  [ Marcel Partap ]
  * container hooks: make nspawn work inside nspawn

  [ Roland Clobus ]
  * Allow for shim-only secure UEFI boot
  * Remove 'nolapic' from the safe boot options.
  * Rebuild: Always show the active settings
  * Cross-build: arm64 support
  * binary_bootloader_splash: New script
  * hooks: Remove /etc/.pwd.lock and /run/mount/utab
  * Architecture checking is not required any more
  * installer: Also add the t64 versions of the libraries
  * binary_includes: Activate when the directory exists (Closes: #1069349)

  [ Luca Boccassi ]
  * d/control: bump Standards-Version to 4.7.0, no changes

  [ Roland Clobus ]
  * Restore support for bullseye and bookworm
  * installer: offline installation with calamares
  * Fixed: select the package name for firmware packages
  * Fix git installer build for arm64
  * arm64: Only add .disk/udeb_include when the source file exists

  [ Luca Boccassi ]
  * Create local /etc/os-release with metadata about the live image

  [ Helmut Grohne ]
  * duplicate aliased diversions for DEP17 (Closes: #1064408)

 -- Luca Boccassi <bluca@debian.org>  Sat, 10 Aug 2024 00:08:10 +0100

## live-build 20240810.drbl1

=== debian/changelog ===
live-build (1:20240810.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuilt on Debian bookworm without applyint patches.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 18 Aug 2024 16:33:51 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  po4a,
  gettext,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wiki.debian.org/DebianLive
 Vcs-Browser: https://salsa.debian.org/live-team/live-build
@@ -18,7 +18,7 @@
 Architecture: all
 Depends:
  cpio,
- debootstrap | mmdebstrap,
+ debootstrap,
  ${misc:Depends},
 Recommends:
  apt-utils,

## live-build 20240810.drbl2

=== debian/changelog ===
live-build (1:20240810.drbl2) unstable; urgency=medium

  * Patch new upstream 1:20240810 to support mmdebstrap. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 18 Aug 2024 18:20:53 +0800

live-package (0.99.2-1)

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: all
 Depends:
  cpio,
- debootstrap,
+ debootstrap | mmdebstrap,
  ${misc:Depends},
 Recommends:
  apt-utils,

## live-build 20240810.drbl3

=== debian/changelog ===
live-build (1:20240810.drbl3) unstable; urgency=medium

  * Patch upstream to support riscv64 arch. 

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Nov 2024 10:53:53 +0800

## live-build 20241108.drbl1

=== debian/changelog ===
live-build (1:20241108.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use the version from git repo on 2024/Nov/8.
  * Patch to support riscv64 arch.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 08 Nov 2024 08:39:54 +0800

live-package (0.99.1-1) unstable; 

## live-build 20241109.drbl2

=== debian/changelog ===
live-build (1:20241109.drbl2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use the version from git repo on 2024/Nov/8.
  * Patch to support riscv64 arch.
  * Patch to support mmdebstrap. 

 -- Steven Shiau <steven@clonezilla.org>  Sat, 09 Nov 2024 20:28:55 +0800

## live-build 20241110.drbl1

=== debian/changelog ===
live-build (1:20241110.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use the version from git repo on 2024/Nov/8.
  * Patch to support riscv64 arch.
  * Patch to support mmdebstrap. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 10 Nov 2024 10:38:20 +0800

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: all
 Depends:
  cpio,
- debootstrap | mmdebstrap,
+ debootstrap,
  ${misc:Depends},
 Recommends:
  apt-utils,
@@ -34,6 +34,7 @@
  xz-utils,
 Suggests:
  e2fsprogs,
+ git,
  parted,
  mtd-utils,
 Description: Live System Build Components

## live-build 20250225

=== debian/changelog ===
live-build (1:20250225) unstable; urgency=medium

  [ Roland Clobus ]
  * Change default for zsync to false
  * Installer: Calamares also needs the unsigned GRUB packages for offline
    installation
  * Installer: fix for bookworm and bullseye
  * Fix for #1057853: Missing Calamares icon for KDE on bookworm

  [ Emanuele Rocca ]
  * Always add live-installer to udeb_include
  * Add arm64 packages for post-installation

  [ Roland Clobus ]
  * rebuild.sh: Support Debian-Junior

  [ Emanuele Rocca ]
  * lb source: fetch source packages once
  * Test ISO building on Salsa
  * Add git to Suggests

  [ Nick Brown ]
  * Add support for proposed-update archives (Closes: #1069045)

  [ Roland Clobus ]
  * Add support for dracut (Closes: #1031903)
  * Typo: fixed layout for some commandline options
  * Pipeline: turn off the arm64 pipeline for non-DDs
  * Workaround for #1084791
  * Workaround for #1084791 part 2

  [ Aaron Rainbolt ]
  * Handle loopback booting with dracut-live properly

  [ Roland Clobus ]
  * Installer: use the http proxy
  * dracut: Support diverted configuration files of Calamares
  * lb config: --distribution defaults to testing
  * autopkgtest: Use 'stable' and 'testing'
  * man: Use $LIVE_BUILD if set
  * Workaround for #1084791 part 3
  * Workaround for #1084791 removed.
  * Reproducible: ca-certificates-java
  * test: New test for external deb sources
  * Reproducible: Regenerate Java cacerts differently
  * installer: Use UTC timestamps in the Release file
  * installer: Cached apt indices for local pool
  * test: Cached apt indices for local pool is implemented
  * Fixes error message for local .deb files in config/packages.chroot.
  * Installer: fix for arm64 for builds before trixie

  [ Aaron Rainbolt ]
  * Fix memtest support when using dracut-live

  [ Roland Clobus ]
  * Generate /firmware/Contents-firmware
  * Firmwarelist: use POSIX commandline option for awk
  * Reproducible: fixes unstable output in dictionaries-common
  * Fix FTBFS for 'make test'
  * Packaging: Add devscripts as build dependency
  * rebuild.sh: Add theme for Trixie
  * Support for qemu: Use spice-vdagent (Closes: 869569)
  * rebuild.sh: Re-enable snapshot.debian.org
  * snapshot builds: Add check-valid-until=no in sources.list
  * test: Support reproducible images
  * test: pre-existing packages
  * debootstrap: Optionally use 'eatmydata'
  * Apply 'wrap-and-sort' on the debian directory
  * chroot_dpkg: correctly rename duplicated diversions
  * Trixie: fix the URL to the GRUB image

  [ Andreas B. Mundt ]
  * Implement netbooting with dracut initramfs

  [ Roland Clobus ]
  * Blends: Support for hamradio
  * test_external_deb_sources: Fix test_remote_repository_XX
  * test_external_deb_sources: test_local_repository_chroot -> use
    signatures
  * bootstrap: Should use the 'parent' options
  * bootstrap: Use UTC in /etc/os-release
  * chroot_bind_path: Add support for local repositories
  * bootstrap_archives: Removed, as it is not needed
  * chroot_archives: Cleanup chroot-only local archive keys
  * binary_package-lists: Reproducible timestamp

  [ Aaron Rainbolt ]
  * Add checksum support for dracut-live, add checksum verification menu
    entries

  [ Roland Clobus ]
  * Don't require isomd5sum on the host
  * Use a different checksum strategy for dracut-based live images
  * dracut-live: require isomd5sum
  * Move verification to the Utilities sub menu

  [ Aaron Rainbolt ]
  * Fix syntax issue with if-then statement

  [ Roland Clobus ]
  * GRUB: Show result of image verification
  * Support packages that have non-compliant package names
  * gitignore: Added some more generated files to ignore
  * Makefile: Fixed 'install' target

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Feb 2025 10:05:46 +0000

=== debian/control ===
Source: live-build
Section: misc
Priority: optional
Maintainer: Debian Live <debian-live@lists.debian.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
           Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13), devscripts, gettext, po4a
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.debian.org/DebianLive
Vcs-Browser: https://salsa.debian.org/live-team/live-build
Vcs-Git: https://salsa.debian.org/live-team/live-build.git

Package: live-build
Architecture: all
Depends: cpio, debootstrap, ${misc:Depends}
Recommends: apt-utils,
            bzip2,
            cryptsetup,
            file,
            live-boot-doc,
            live-config-doc,
            live-manual-html | live-manual,
            rsync,
            systemd-container,
            wget,
            xz-utils
Suggests: e2fsprogs, eatmydata, git, mtd-utils, parted
Description: Live System Build Components
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-build contains the components to build a live system from a configuration
 directory.

## live-build 20250225.drbl1

=== debian/changelog ===
live-build (1:20250225.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to support riscv64 arch.
  * Patch to support mmdebstrap.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 03 Mar 2025 18:24:44 +0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: live-build
 Architecture: all
-Depends: cpio, debootstrap, ${misc:Depends}
+Depends: cpio, debootstrap | mmdebstrap, ${misc:Depends}
 Recommends: apt-utils,
             bzip2,
             cryptsetup,

## live-build 20250225.drbl2

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 LANGUAGES = $(shell cd manpages/po && ls)
 
-SCRIPTS = frontend/* functions/* examples/auto/* examples/hooks/* scripts/*.sh scripts/*/* share/bin/* share/hooks/*/*
+SCRIPTS = frontend/* functions/* examples/auto/* examples/hooks/*.chroot examples/hooks/reproducible/*.chroot scripts/*.sh scripts/*/* share/bin/* share/hooks/*/*
 
 all: build
 
@@ -62,6 +62,7 @@
 		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
 	done
 
+	make -C manpages
 	for LANGUAGE in $(LANGUAGES); \
 	do \
 		for MANPAGE in manpages/$${LANGUAGE}/*; \

=== debian/changelog ===
live-build (1:20250225.drbl2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to support riscv64 arch.
  * Patch to support mmdebstrap with updated bootstrap_mmdebstrap.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 03 Mar 2025 21:03:02 +0800

## live-build 20250505+deb13u1

=== debian/changelog ===
live-build (1:20250505+deb13u1) trixie; urgency=medium

  * Remove os-release diversions once rootfs creation is finished
    (Closes: #1111039)
  * Install live-specific os-release only with --system live

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Aug 2025 20:27:49 +0100

live-build (1:20250505) unstable; urgency=medium

  [ Roland Clobus ]
  * QEMU Support: Fix garbled output during text boot
  * GRUB: Show result of image verification
  * debian-installer: Dump the logs on error
  * CI: Disable missing-breaks CI test
  * installer: Use the newer version of libfuse3-4
  * debian-installer: Fix 'Contents-firmware' double entries
  * installer: Generate dep11 patterns files
  * config: Prevent additional spaces in auto/config
  * config: Remove undocumented behaviour
  * installer_debian-installer: Rewrite of udeb handling
  * installer_debian-installer: Fix missing udebs
  * installer_debian-installer: Fix trixie

  [ Johannes Schauer Marin Rodrigues ]
  * debian/control: add myself to uploaders with ACK from Roland Clobus

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 05 May 2025 14:55:03 +0200
